package org.apache.commons.lang3.time;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.io.IOException;
import java.util.Calendar;
import org.apache.commons.lang3.time.FastDatePrinter;

class CharacterLiteral implements FastDatePrinter.Rule {
  private final char mValue;
  
  CharacterLiteral(char value) {
    this.mValue = value;
  }
  
  public int estimateLength() {
    return 1;
  }
  
  public void appendTo(Appendable buffer, Calendar calendar) throws IOException {
    buffer.append(this.mValue);
  }
}
